CREATE TABLE loy_tier_cls_int (
    LOY_TIER_CLS_INT_ID      NUMBER(18, 0),
    PROGRAM_NAME             VARCHAR2(200),
    BATCH_ID                 NUMBER(18, 0),
    IMPORT_STATUS_CODE       VARCHAR2(120),
    INTERFACE_ROW_ID         NUMBER(18, 0),
    ACTION_CODE              VARCHAR2(120),
    INTERNAL_ACTION_CODE     VARCHAR2(120),
    INTERNAL_TIER_CLS_OVN    NUMBER(9, 0) ,
    REQUEST_ID               NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256),
    LAST_UPDATED_BY          VARCHAR2(256),
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATION_DATE            TIMESTAMP(6) ,
    LAST_UPDATE_DATE         TIMESTAMP(6) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LOY_TIER_CLS_ID          NUMBER(18, 0),
    ACTIVE_FLAG              VARCHAR2(4)  ,
    APPLY_FLAG               VARCHAR2(4)  ,
    APPROVER_ID              NUMBER(18, 0),
    ASSESS_DAY_CODE          VARCHAR2(120),
    ASSESS_MONTH_CODE        VARCHAR2(120),
    ASSESS_RECUR_CODE        VARCHAR2(120),
    END_TIER_PD_DAY_CODE     VARCHAR2(120),
    END_TIER_PD_MTH_CODE     VARCHAR2(120),
    MIN_TIERLEN_UOM_CODE     VARCHAR2(120),
    MIN_TIER_LEN             NUMBER(22, 7),
    NAME                     VARCHAR2(120),
    PROGRAM_ID               NUMBER(18, 0),
    PR_TIER_ID               NUMBER(18, 0),
    QUAL_PD_UOM_CODE         VARCHAR2(120),
    QUAL_PERIOD_LEN          NUMBER(22, 7),
    REQUAL_PD_UOM_CODE       VARCHAR2(120),
    REQUAL_PERIOD_LEN        NUMBER(22, 7),
    RESTART_QUAL_PD_CODE     VARCHAR2(120),
    SEQ_NUM                  NUMBER(22, 0),
    START_QUAL_PD_CODE       VARCHAR2(120),
    ST_QUAL_PD_DAY_CODE      VARCHAR2(120),
    ST_QUAL_PD_MTH_CODE      VARCHAR2(120),
    ST_TIER_PD_DAY_CODE      VARCHAR2(120),
    ST_TIER_PD_MTH_CODE      VARCHAR2(120),
    TYPE_CODE                VARCHAR2(120),
    LOY_TIER_CLS_INT_ID      NUMBER(18, 0),
    PROGRAM_NAME             VARCHAR2(200),
    BATCH_ID                 NUMBER(18, 0),
    IMPORT_STATUS_CODE       VARCHAR2(120),
    INTERFACE_ROW_ID         NUMBER(18, 0),
    ACTION_CODE              VARCHAR2(120),
    INTERNAL_ACTION_CODE     VARCHAR2(120),
    INTERNAL_TIER_CLS_OVN    NUMBER(9, 0) ,
    REQUEST_ID               NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256),
    LAST_UPDATED_BY          VARCHAR2(256),
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATION_DATE            TIMESTAMP(6) ,
    LAST_UPDATE_DATE         TIMESTAMP(6) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LOY_TIER_CLS_ID          NUMBER(18, 0),
    ACTIVE_FLAG              VARCHAR2(4)  ,
    APPLY_FLAG               VARCHAR2(4)  ,
    APPROVER_ID              NUMBER(18, 0),
    ASSESS_DAY_CODE          VARCHAR2(120),
    ASSESS_MONTH_CODE        VARCHAR2(120),
    ASSESS_RECUR_CODE        VARCHAR2(120),
    END_TIER_PD_DAY_CODE     VARCHAR2(120),
    END_TIER_PD_MTH_CODE     VARCHAR2(120),
    MIN_TIERLEN_UOM_CODE     VARCHAR2(120),
    MIN_TIER_LEN             NUMBER(22, 7),
    NAME                     VARCHAR2(120),
    PROGRAM_ID               NUMBER(18, 0),
    PR_TIER_ID               NUMBER(18, 0),
    QUAL_PD_UOM_CODE         VARCHAR2(120),
    QUAL_PERIOD_LEN          NUMBER(22, 7),
    REQUAL_PD_UOM_CODE       VARCHAR2(120),
    REQUAL_PERIOD_LEN        NUMBER(22, 7),
    RESTART_QUAL_PD_CODE     VARCHAR2(120),
    SEQ_NUM                  NUMBER(22, 0),
    START_QUAL_PD_CODE       VARCHAR2(120),
    ST_QUAL_PD_DAY_CODE      VARCHAR2(120),
    ST_QUAL_PD_MTH_CODE      VARCHAR2(120),
    ST_TIER_PD_DAY_CODE      VARCHAR2(120),
    ST_TIER_PD_MTH_CODE      VARCHAR2(120),
    TYPE_CODE                VARCHAR2(120),
    CONSTRAINT pk_loy_tier_cls_int PRIMARY KEY (BATCH_ID, INTERFACE_ROW_ID, BATCH_ID, INTERFACE_ROW_ID)
);
